<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: rif_func Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">rif_func Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:aabb08d4a4ebb65569b0c7338f863634d"><td class="memItemLeft" align="right" valign="top">integer function, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerif__func.html#aabb08d4a4ebb65569b0c7338f863634d">rif_get_n_species</a> ()</td></tr>
<tr class="separator:aabb08d4a4ebb65569b0c7338f863634d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cb10d7ff00ef9a19d941cf817bd6005"><td class="memItemLeft" align="right" valign="top">integer function, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerif__func.html#a4cb10d7ff00ef9a19d941cf817bd6005">rif_get_nnons_species</a> ()</td></tr>
<tr class="separator:a4cb10d7ff00ef9a19d941cf817bd6005"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a134d156c47030cff6ab869400ee69428"><td class="memItemLeft" align="right" valign="top">integer function, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerif__func.html#a134d156c47030cff6ab869400ee69428">rif_get_nthermo_species</a> ()</td></tr>
<tr class="separator:a134d156c47030cff6ab869400ee69428"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abac3842d1c4cfd98fb297119b5367369"><td class="memItemLeft" align="right" valign="top">integer function, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerif__func.html#abac3842d1c4cfd98fb297119b5367369">rif_get_species_index</a> (spec_name)</td></tr>
<tr class="separator:abac3842d1c4cfd98fb297119b5367369"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1e76caa6a2cbc9fbff0aedd5e850ba2"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerif__func.html#af1e76caa6a2cbc9fbff0aedd5e850ba2">rif_get_tspec_names_index</a> (n_tspec, names, rif_index)</td></tr>
<tr class="separator:af1e76caa6a2cbc9fbff0aedd5e850ba2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96fcacc18b916fae1f193b07587f2ab3"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerif__func.html#a96fcacc18b916fae1f193b07587f2ab3">rif_update_wmol_all</a> (wmol)</td></tr>
<tr class="separator:a96fcacc18b916fae1f193b07587f2ab3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45048190245c551dc9ee89cb458af328"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacerif__func.html#a45048190245c551dc9ee89cb458af328">rif_get_y_mean_cv</a> (i_cv, j_cv, k_cv, Ymean)</td></tr>
<tr class="separator:a45048190245c551dc9ee89cb458af328"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="aabb08d4a4ebb65569b0c7338f863634d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aabb08d4a4ebb65569b0c7338f863634d">&#9670;&nbsp;</a></span>rif_get_n_species()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer function, public rif_func::rif_get_n_species </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacerif__defs.html#aeb74a848fcfdd7f871dda1c74cfc5e6f">rif_defs::first_rif</a>, and <a class="el" href="namespacemduc__interface.html#adbb6b608b836032846d55d38e576afcb">mduc_interface::mduc_get_n_species()</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacerif__func_aabb08d4a4ebb65569b0c7338f863634d_cgraph.png" border="0" usemap="#namespacerif__func_aabb08d4a4ebb65569b0c7338f863634d_cgraph" alt=""/></div>
<map name="namespacerif__func_aabb08d4a4ebb65569b0c7338f863634d_cgraph" id="namespacerif__func_aabb08d4a4ebb65569b0c7338f863634d_cgraph">
<area shape="rect" id="node2" href="namespacemduc__interface.html#adbb6b608b836032846d55d38e576afcb" title="mduc_interface::mduc\l_get_n_species" alt="" coords="176,5,327,47"/>
</map>
</div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacerif__func_aabb08d4a4ebb65569b0c7338f863634d_icgraph.png" border="0" usemap="#namespacerif__func_aabb08d4a4ebb65569b0c7338f863634d_icgraph" alt=""/></div>
<map name="namespacerif__func_aabb08d4a4ebb65569b0c7338f863634d_icgraph" id="namespacerif__func_aabb08d4a4ebb65569b0c7338f863634d_icgraph">
<area shape="rect" id="node2" href="rif_8f90.html#aa71a3d22e995fba85f87b6b817acf130" title="rif_major_species_init" alt="" coords="176,107,324,134"/>
<area shape="rect" id="node17" href="namespacethermo__species__func.html#a82da6d8c78ecba1867aa66680ef98d17" title="thermo_species_func\l::thermo_species_init" alt="" coords="177,159,323,200"/>
<area shape="rect" id="node3" href="namespacecombust__rif__m.html#a7f34daec5363bcd5a46a95ba557ff74d" title="combust_rif_m::rif\l_register_data" alt="" coords="372,69,499,111"/>
<area shape="rect" id="node14" href="namespacerif__m.html#acc86a620a5d340c5eae8e1b66347d1a4" title="rif_m::rif_init1" alt="" coords="385,137,486,163"/>
<area shape="rect" id="node4" href="namespacecombust__func.html#ab0b38008c0980892d222ace97581ff94" title="register data for combust_mainAllSolvers module (called by all solvers) ! &#160;cf thermofluid_register_da..." alt="" coords="547,67,709,108"/>
<area shape="rect" id="node5" href="namespacethf__arts.html#a35062458bc9f39b1ff03635832f6fba5" title="register data for thermofluid module (lowMach solver) ! " alt="" coords="783,5,902,47"/>
<area shape="rect" id="node10" href="namespacethf__arts__cf.html#a76d2f317210337d652ce770d6de4994e" title="register data for thermofluid module (compressible) ! " alt="" coords="775,71,911,112"/>
<area shape="rect" id="node6" href="namespacearts__func.html#a24f560f380c1df354d954255fdf28072" title="arts_func::arts_register_data" alt="" coords="976,13,1164,39"/>
<area shape="rect" id="node7" href="namespacearts__simulation.html#a6f46c953aada929893fc5d2dfaac0f4c" title="arts_simulation::arts\l_init_step1" alt="" coords="1212,5,1352,47"/>
<area shape="rect" id="node8" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="1400,13,1564,39"/>
<area shape="rect" id="node9" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1612,13,1656,39"/>
<area shape="rect" id="node11" href="namespacearts__cf__func.html#aa030a7aae62b2adec333b630275bf1bc" title="arts_cf_func::arts\l_cf_register_data" alt="" coords="1008,71,1132,112"/>
<area shape="rect" id="node12" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="1218,71,1346,112"/>
<area shape="rect" id="node13" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1451,78,1513,105"/>
<area shape="rect" id="node15" href="combustion_8f90.html#a5b8ae2853ffa109c9fd9ff8208901c2c" title="combustion_register\l_data_common" alt="" coords="559,132,697,173"/>
<area shape="rect" id="node16" href="combustion_8f90.html#a520ee4247cf96897ba9ba6c9eb653fd6" title="combustion_register_data" alt="" coords="757,139,928,166"/>
</map>
</div>

</div>
</div>
<a id="a4cb10d7ff00ef9a19d941cf817bd6005"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4cb10d7ff00ef9a19d941cf817bd6005">&#9670;&nbsp;</a></span>rif_get_nnons_species()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer function, public rif_func::rif_get_nnons_species </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacerif__defs.html#aeb74a848fcfdd7f871dda1c74cfc5e6f">rif_defs::first_rif</a>, and <a class="el" href="namespacemduc__interface.html#a6851eead85b61a1bd9e8f433989a8c27">mduc_interface::mduc_get_nnons_species()</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacerif__func_a4cb10d7ff00ef9a19d941cf817bd6005_cgraph.png" border="0" usemap="#namespacerif__func_a4cb10d7ff00ef9a19d941cf817bd6005_cgraph" alt=""/></div>
<map name="namespacerif__func_a4cb10d7ff00ef9a19d941cf817bd6005_cgraph" id="namespacerif__func_a4cb10d7ff00ef9a19d941cf817bd6005_cgraph">
<area shape="rect" id="node2" href="namespacemduc__interface.html#a6851eead85b61a1bd9e8f433989a8c27" title="mduc_interface::mduc\l_get_nnons_species" alt="" coords="204,5,355,47"/>
</map>
</div>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacerif__func_a4cb10d7ff00ef9a19d941cf817bd6005_icgraph.png" border="0" usemap="#namespacerif__func_a4cb10d7ff00ef9a19d941cf817bd6005_icgraph" alt=""/></div>
<map name="namespacerif__func_a4cb10d7ff00ef9a19d941cf817bd6005_icgraph" id="namespacerif__func_a4cb10d7ff00ef9a19d941cf817bd6005_icgraph">
<area shape="rect" id="node2" href="rif_8f90.html#aa71a3d22e995fba85f87b6b817acf130" title="rif_major_species_init" alt="" coords="204,107,352,134"/>
<area shape="rect" id="node3" href="namespacecombust__rif__m.html#a7f34daec5363bcd5a46a95ba557ff74d" title="combust_rif_m::rif\l_register_data" alt="" coords="400,69,527,111"/>
<area shape="rect" id="node14" href="namespacerif__m.html#acc86a620a5d340c5eae8e1b66347d1a4" title="rif_m::rif_init1" alt="" coords="413,137,514,163"/>
<area shape="rect" id="node4" href="namespacecombust__func.html#ab0b38008c0980892d222ace97581ff94" title="register data for combust_mainAllSolvers module (called by all solvers) ! &#160;cf thermofluid_register_da..." alt="" coords="575,67,737,108"/>
<area shape="rect" id="node5" href="namespacethf__arts.html#a35062458bc9f39b1ff03635832f6fba5" title="register data for thermofluid module (lowMach solver) ! " alt="" coords="811,5,930,47"/>
<area shape="rect" id="node10" href="namespacethf__arts__cf.html#a76d2f317210337d652ce770d6de4994e" title="register data for thermofluid module (compressible) ! " alt="" coords="803,71,939,112"/>
<area shape="rect" id="node6" href="namespacearts__func.html#a24f560f380c1df354d954255fdf28072" title="arts_func::arts_register_data" alt="" coords="1004,13,1192,39"/>
<area shape="rect" id="node7" href="namespacearts__simulation.html#a6f46c953aada929893fc5d2dfaac0f4c" title="arts_simulation::arts\l_init_step1" alt="" coords="1240,5,1380,47"/>
<area shape="rect" id="node8" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="1428,13,1592,39"/>
<area shape="rect" id="node9" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1640,13,1684,39"/>
<area shape="rect" id="node11" href="namespacearts__cf__func.html#aa030a7aae62b2adec333b630275bf1bc" title="arts_cf_func::arts\l_cf_register_data" alt="" coords="1036,71,1160,112"/>
<area shape="rect" id="node12" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="1246,71,1374,112"/>
<area shape="rect" id="node13" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1479,78,1541,105"/>
<area shape="rect" id="node15" href="combustion_8f90.html#a5b8ae2853ffa109c9fd9ff8208901c2c" title="combustion_register\l_data_common" alt="" coords="587,132,725,173"/>
<area shape="rect" id="node16" href="combustion_8f90.html#a520ee4247cf96897ba9ba6c9eb653fd6" title="combustion_register_data" alt="" coords="785,139,956,166"/>
</map>
</div>

</div>
</div>
<a id="a134d156c47030cff6ab869400ee69428"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a134d156c47030cff6ab869400ee69428">&#9670;&nbsp;</a></span>rif_get_nthermo_species()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer function, public rif_func::rif_get_nthermo_species </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacerif__defs.html#aeb74a848fcfdd7f871dda1c74cfc5e6f">rif_defs::first_rif</a>.</p>
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacerif__func_a134d156c47030cff6ab869400ee69428_icgraph.png" border="0" usemap="#namespacerif__func_a134d156c47030cff6ab869400ee69428_icgraph" alt=""/></div>
<map name="namespacerif__func_a134d156c47030cff6ab869400ee69428_icgraph" id="namespacerif__func_a134d156c47030cff6ab869400ee69428_icgraph">
<area shape="rect" id="node2" href="namespacethermo__species__func.html#a82da6d8c78ecba1867aa66680ef98d17" title="thermo_species_func\l::thermo_species_init" alt="" coords="216,5,363,47"/>
</map>
</div>

</div>
</div>
<a id="abac3842d1c4cfd98fb297119b5367369"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abac3842d1c4cfd98fb297119b5367369">&#9670;&nbsp;</a></span>rif_get_species_index()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer function, public rif_func::rif_get_species_index </td>
          <td>(</td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>spec_name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacerif__defs.html#aeb74a848fcfdd7f871dda1c74cfc5e6f">rif_defs::first_rif</a>, <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>, and <a class="el" href="namespacemduc__interface.html#af84f7eb9540a8a75224135823f33678a">mduc_interface::mduc_get_species_index()</a>.</p>
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacerif__func_abac3842d1c4cfd98fb297119b5367369_cgraph.png" border="0" usemap="#namespacerif__func_abac3842d1c4cfd98fb297119b5367369_cgraph" alt=""/></div>
<map name="namespacerif__func_abac3842d1c4cfd98fb297119b5367369_cgraph" id="namespacerif__func_abac3842d1c4cfd98fb297119b5367369_cgraph">
<area shape="rect" id="node2" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="601,13,697,39"/>
<area shape="rect" id="node4" href="namespacemduc__interface.html#af84f7eb9540a8a75224135823f33678a" title="mduc_interface::mduc\l_get_species_index" alt="" coords="215,35,365,76"/>
<area shape="rect" id="node3" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="745,5,876,47"/>
<area shape="rect" id="node5" href="namespacemduc__interface.html#a976d071310d3c5c522fd216f59443d6c" title="mduc_interface::add\l_end_char" alt="" coords="413,35,553,76"/>
</map>
</div>
<div id="dynsection-6" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-6-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-6-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-6-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacerif__func_abac3842d1c4cfd98fb297119b5367369_icgraph.png" border="0" usemap="#namespacerif__func_abac3842d1c4cfd98fb297119b5367369_icgraph" alt=""/></div>
<map name="namespacerif__func_abac3842d1c4cfd98fb297119b5367369_icgraph" id="namespacerif__func_abac3842d1c4cfd98fb297119b5367369_icgraph">
<area shape="rect" id="node2" href="rif_8f90.html#a1fd91da7e9d8bda997182f6dd31fd328" title="rif_check_mechanism\l_consistency" alt="" coords="218,201,367,242"/>
<area shape="rect" id="node26" href="namespacethermo__species__func.html#aa331da787eee32d8434ae71d7a5fef66" title="thermo_species_func\l::build_var_of_tspecies" alt="" coords="215,285,371,326"/>
<area shape="rect" id="node3" href="namespacecombust__rif__m.html#ae153d04dc774e9b4e751b79cf1c2a839" title="combust_rif_m::rif_init" alt="" coords="419,153,569,180"/>
<area shape="rect" id="node24" href="namespacerif__m.html#a220c3f9ec324821fe189f1b7a0a8634c" title="rif_m::rif_init2" alt="" coords="443,208,545,235"/>
<area shape="rect" id="node4" href="namespacecombust__func.html#a557da94e3f7e991b5cc64fbf2be82a94" title="combust_func::combust\l_init_part1" alt="" coords="627,142,790,183"/>
<area shape="rect" id="node5" href="namespacethf__arts.html#ad83aa8f674cbd91f1d9156c78c4745d0" title="initialize thermofluid module (lowMach solver) ! " alt="" coords="856,64,999,91"/>
<area shape="rect" id="node13" href="namespacethf__arts__cf.html#ad02588308144b96824c7ebda3a8c5440" title="initialize thermofluid module (compressible) ! " alt="" coords="859,142,995,183"/>
<area shape="rect" id="node6" href="namespacearts__func.html#a9e0387162024ff0bcadaa54ff4d61416" title="arts_func::arts_field_init" alt="" coords="1057,5,1218,32"/>
<area shape="rect" id="node9" href="namespacearts__md__func.html#a6fc1e169764898dc1480e36da8b00b65" title="arts_md_func::arts\l_md_field_init_2" alt="" coords="1072,57,1203,98"/>
<area shape="rect" id="node7" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="1268,5,1432,32"/>
<area shape="rect" id="node8" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1540,5,1584,32"/>
<area shape="rect" id="node10" href="namespacearts__md__simulation.html#a07a348b3d2bce7784d60da5fc200367e" title="arts_md_simulation\l::arts_md_init_step2" alt="" coords="1280,57,1420,98"/>
<area shape="rect" id="node11" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="1495,57,1629,98"/>
<area shape="rect" id="node12" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1701,64,1770,91"/>
<area shape="rect" id="node14" href="namespacearts__cf__func.html#a50bc2665fa6d78325254059159708464" title="arts_cf_func::arts\l_cf_field_init" alt="" coords="1075,142,1199,183"/>
<area shape="rect" id="node20" href="namespacearts__cf__md__func.html#a9ac6a3453df2bbba3ab5f88bcf9b0047" title="arts_cf_md_func::arts\l_cf_md_field_init_2" alt="" coords="1063,207,1212,249"/>
<area shape="rect" id="node15" href="namespacearts__cf__simulation.html#af2d1163d95721767351f7dbb56de3e99" title="Initialize hooks, cfd fields, monitors. " alt="" coords="1283,142,1417,183"/>
<area shape="rect" id="node16" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="1498,122,1626,163"/>
<area shape="rect" id="node18" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="1495,187,1629,229"/>
<area shape="rect" id="node17" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1704,129,1767,156"/>
<area shape="rect" id="node19" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1701,195,1769,221"/>
<area shape="rect" id="node21" href="namespacearts__cf__md__simulation.html#a7984ae1202b094dffd67b2fcea3de6a9" title="arts_cf_md_simulation\l::arts_cf_md_init_step2" alt="" coords="1271,207,1429,249"/>
<area shape="rect" id="node22" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="1485,253,1639,294"/>
<area shape="rect" id="node23" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="1692,260,1779,287"/>
<area shape="rect" id="node25" href="namespacepremixedrif.html#a6c82c67707483f1caee60566c0070e9d" title="premixedrif::premixedrif_init" alt="" coords="617,208,800,235"/>
<area shape="rect" id="node27" href="NASA__temp__energy__m_8f90.html#a92bc61b1326f61b2182759e4a912b9e5" title="nasa_t_from_ie" alt="" coords="439,267,549,293"/>
<area shape="rect" id="node28" href="NASA__temp__energy__m_8f90.html#a89783b65dc604faea6f2889fc82ede0b" title="nasa_t_from_h" alt="" coords="440,317,548,344"/>
<area shape="rect" id="node41" href="namespacethermo__species__func.html#a82da6d8c78ecba1867aa66680ef98d17" title="thermo_species_func\l::thermo_species_init" alt="" coords="421,369,567,410"/>
<area shape="rect" id="node29" href="namespacecombust__eos.html#a76c4ee4bf3182a14edc010065a2be66c" title="compute temperature from enthalpy " alt="" coords="629,259,788,301"/>
<area shape="rect" id="node31" href="combustion__func_8f90.html#a764ea750f8a75492c5650a3f3c5605ed" title="combustion_t_from_h" alt="" coords="635,325,782,352"/>
<area shape="rect" id="node40" href="namespacepremixedrif.html#ac999e66772841c9a4742511931143fa8" title="premixedrif::premixedrif\l_t_from_h" alt="" coords="629,377,788,418"/>
<area shape="rect" id="node30" href="namespacecombust__eos.html#a7546dbb48ca76e9279db000fa1ba5230" title="compute temperature from internal energy " alt="" coords="848,227,1007,269"/>
<area shape="rect" id="node32" href="combustion_8f90.html#a4d09639b1292ef4cc0c83a3d4bdea76c" title="combustion_init" alt="" coords="1293,319,1407,345"/>
<area shape="rect" id="node34" href="combustion__func_8f90.html#a0860bb5a0f38393ca31a07331361b7ff" title="combustion_temperature" alt="" coords="1055,395,1220,421"/>
<area shape="rect" id="node39" href="combustion__func_8f90.html#ac9ff579e35f64a3ea44a491aefd89990" title="combustion_t_from_ie" alt="" coords="852,344,1003,371"/>
<area shape="rect" id="node33" href="combustion_8f90.html#a2f0eeadb9092a477faaa2cb7bca4b1b1" title="cf_combustion_init" alt="" coords="1497,319,1627,345"/>
<area shape="rect" id="node35" href="combustion_8f90.html#ac47f066df9ddc9214cf76b6dd23a803d" title="combustion_step" alt="" coords="1501,395,1623,421"/>
<area shape="rect" id="node36" href="combustion_8f90.html#a8c091f48d090774d343efe095bdb1a2f" title="combustion_poststep" alt="" coords="1277,471,1423,497"/>
<area shape="rect" id="node38" href="combustion__func_8f90.html#ac2c4e2576633b925b4cd6e252ff2c108" title="combustion_spray_evap" alt="" coords="1269,420,1431,447"/>
<area shape="rect" id="node37" href="combustion_8f90.html#a84be740960d9d739e5041649c9002920" title="cf_combustion_poststep" alt="" coords="1480,471,1644,497"/>
</map>
</div>

</div>
</div>
<a id="af1e76caa6a2cbc9fbff0aedd5e850ba2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1e76caa6a2cbc9fbff0aedd5e850ba2">&#9670;&nbsp;</a></span>rif_get_tspec_names_index()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public rif_func::rif_get_tspec_names_index </td>
          <td>(</td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n_tspec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=40), dimension(n_tspec), intent(inout)&#160;</td>
          <td class="paramname"><em>names</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, dimension(n_tspec), intent(inout)&#160;</td>
          <td class="paramname"><em>rif_index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacerif__defs.html#aeb74a848fcfdd7f871dda1c74cfc5e6f">rif_defs::first_rif</a>, <a class="el" href="namespaceparser.html#a78c63fa231dbf4d7adae5c4ba724d6ee">parser::get_param()</a>, <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>, and <a class="el" href="namespacemduc__interface.html#a94cd7b28523717bb1eea25f91568ed76">mduc_interface::mduc_get_species_names()</a>.</p>
<div id="dynsection-7" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-7-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-7-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-7-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacerif__func_af1e76caa6a2cbc9fbff0aedd5e850ba2_cgraph.png" border="0" usemap="#namespacerif__func_af1e76caa6a2cbc9fbff0aedd5e850ba2_cgraph" alt=""/></div>
<map name="namespacerif__func_af1e76caa6a2cbc9fbff0aedd5e850ba2_cgraph" id="namespacerif__func_af1e76caa6a2cbc9fbff0aedd5e850ba2_cgraph">
<area shape="rect" id="node2" href="namespaceparser.html#a78c63fa231dbf4d7adae5c4ba724d6ee" title="parser::get_param" alt="" coords="213,188,340,215"/>
<area shape="rect" id="node9" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="229,348,325,375"/>
<area shape="rect" id="node11" href="namespacemduc__interface.html#a94cd7b28523717bb1eea25f91568ed76" title="mduc_interface::mduc\l_get_species_names" alt="" coords="201,402,352,443"/>
<area shape="rect" id="node3" href="namespaceparser.html#a34f545c81b46c08e17a82c1628281242" title="parser::add_tag_to_list" alt="" coords="417,5,572,32"/>
<area shape="rect" id="node4" href="namespaceparser.html#ae72f9b0f3318c3dc4c2290a3c543d78b" title="parser::compare_domain\l_param" alt="" coords="412,57,577,98"/>
<area shape="rect" id="node5" href="namespaceparser.html#ae0cbde482df428447cce9a30d81332e7" title="parser::compare_tag\l_param" alt="" coords="424,122,565,163"/>
<area shape="rect" id="node6" href="namespaceparser.html#ab0e00b1de2b23d9655cc7707e51ebae9" title="parser::in_param_rewind" alt="" coords="413,188,577,215"/>
<area shape="rect" id="node7" href="namespaceparser.html#a99f99745577c0d4e01da2a949b601bf0" title="parser::in_param_rewind_tag" alt="" coords="400,239,589,265"/>
<area shape="rect" id="node8" href="namespaceparser.html#a91aaf4597fa9c7a14a57273280085469" title="parser::reset_tag_list" alt="" coords="423,289,567,316"/>
<area shape="rect" id="node10" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="429,341,560,382"/>
<area shape="rect" id="node12" href="namespacemduc__interface.html#a923505f14e288565eb93f4cbb4ed0eed" title="mduc_interface::remove\l_end_char" alt="" coords="413,406,576,447"/>
</map>
</div>
<div id="dynsection-8" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-8-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-8-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-8-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacerif__func_af1e76caa6a2cbc9fbff0aedd5e850ba2_icgraph.png" border="0" usemap="#namespacerif__func_af1e76caa6a2cbc9fbff0aedd5e850ba2_icgraph" alt=""/></div>
<map name="namespacerif__func_af1e76caa6a2cbc9fbff0aedd5e850ba2_icgraph" id="namespacerif__func_af1e76caa6a2cbc9fbff0aedd5e850ba2_icgraph">
<area shape="rect" id="node2" href="namespacethermo__species__func.html#a82da6d8c78ecba1867aa66680ef98d17" title="thermo_species_func\l::thermo_species_init" alt="" coords="201,5,348,47"/>
</map>
</div>

</div>
</div>
<a id="a45048190245c551dc9ee89cb458af328"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45048190245c551dc9ee89cb458af328">&#9670;&nbsp;</a></span>rif_get_y_mean_cv()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public rif_func::rif_get_y_mean_cv </td>
          <td>(</td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>i_cv</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>j_cv</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>k_cv</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(first_rif%nspect), intent(inout)&#160;</td>
          <td class="paramname"><em>Ymean</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacerif__defs.html#aeb74a848fcfdd7f871dda1c74cfc5e6f">rif_defs::first_rif</a>.</p>
<div id="dynsection-9" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-9-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-9-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-9-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacerif__func_a45048190245c551dc9ee89cb458af328_icgraph.png" border="0" usemap="#namespacerif__func_a45048190245c551dc9ee89cb458af328_icgraph" alt=""/></div>
<map name="namespacerif__func_a45048190245c551dc9ee89cb458af328_icgraph" id="namespacerif__func_a45048190245c551dc9ee89cb458af328_icgraph">
<area shape="rect" id="node2" href="rif_8f90.html#a67e6db60a85689793b2cc8fbf46959e2" title="reinit_ie_from_h_field" alt="" coords="181,5,327,32"/>
<area shape="rect" id="node3" href="rif_8f90.html#a3ca242bc57573307cde29091bd72e8c0" title="reinit_rho_from_tp\l_field" alt="" coords="888,173,1015,214"/>
<area shape="rect" id="node5" href="rif_8f90.html#ac0bd4663a0eb250be4d34fb7a52aac95" title="reinit_p_from_trho\l_field" alt="" coords="888,42,1015,83"/>
<area shape="rect" id="node6" href="namespacerif__m.html#af38c24a8813820bd57c9e738bf4517c1" title="rif_m::rif_ie_from\l_t_field" alt="" coords="194,483,314,525"/>
<area shape="rect" id="node21" href="namespacerif__m.html#a6a27277582e3d69b932b9284e476aed7" title="rif_m::rif_update_rho\l_field" alt="" coords="643,107,785,149"/>
<area shape="rect" id="node23" href="namespacerif__m.html#ac8b998df83ed9de32db468d116372b15" title="rif_m::rif_update_cp\l_wmix_field" alt="" coords="405,691,543,733"/>
<area shape="rect" id="node24" href="namespacerif__m.html#af7becaa5179f57535a8486e2927de18a" title="rif_m::rif_update_wmix\l_field" alt="" coords="177,666,331,707"/>
<area shape="rect" id="node25" href="namespacerif__m.html#a59af8ff00063a3a4d54cc24858316322" title="rif_m::rif_update_visc\l_diff_field" alt="" coords="181,731,327,773"/>
<area shape="rect" id="node26" href="namespacerif__m.html#a0afff1d621d485c221014bcd6c4a1b21" title="rif_m::rif_update_diff\l_field" alt="" coords="183,601,325,642"/>
<area shape="rect" id="node28" href="namespacerif__m.html#a61e15f643e171f4440132c98ce6548ad" title="rif_m::rif_update_t\l_from_ie_field" alt="" coords="191,269,317,310"/>
<area shape="rect" id="node32" href="namespacerif__m.html#a85f8b05962fbdd9ecb59b0138719b94c" title="rif_m::rif_update_t\l_from_h_field" alt="" coords="191,334,317,375"/>
<area shape="rect" id="node34" href="namespacethermo__species__func.html#a696ded178175aa02e464f36fde11dd12" title="thermo_species_func\l::tspecies_composition" alt="" coords="176,418,332,459"/>
<area shape="rect" id="node4" href="combust__model__rif_8f90.html#a7c6e7d7c51c6a52f8db28bccdb97a839" title="reinit_flow_from_rif" alt="" coords="1107,180,1239,207"/>
<area shape="rect" id="node7" href="rif_8f90.html#ab58ba51801d01c43fdb70c4edde8604c" title="reinit_flow_from_rif" alt="" coords="408,640,540,667"/>
<area shape="rect" id="node8" href="namespacecombust__rif__m.html#ae153d04dc774e9b4e751b79cf1c2a839" title="combust_rif_m::rif_init" alt="" coords="639,640,789,667"/>
<area shape="rect" id="node19" href="namespacerif__m.html#a220c3f9ec324821fe189f1b7a0a8634c" title="rif_m::rif_init2" alt="" coords="663,699,765,725"/>
<area shape="rect" id="node9" href="namespacecombust__func.html#a557da94e3f7e991b5cc64fbf2be82a94" title="combust_func::combust\l_init_part1" alt="" coords="870,633,1033,674"/>
<area shape="rect" id="node10" href="namespacethf__arts.html#ad83aa8f674cbd91f1d9156c78c4745d0" title="initialize thermofluid module (lowMach solver) ! " alt="" coords="1102,625,1245,652"/>
<area shape="rect" id="node15" href="namespacethf__arts__cf.html#ad02588308144b96824c7ebda3a8c5440" title="initialize thermofluid module (compressible) ! " alt="" coords="1105,683,1241,725"/>
<area shape="rect" id="node11" href="namespacearts__func.html#a9e0387162024ff0bcadaa54ff4d61416" title="arts_func::arts_field_init" alt="" coords="1305,567,1466,593"/>
<area shape="rect" id="node13" href="namespacearts__md__func.html#a6fc1e169764898dc1480e36da8b00b65" title="arts_md_func::arts\l_md_field_init_2" alt="" coords="1320,618,1451,659"/>
<area shape="rect" id="node12" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="1515,567,1679,593"/>
<area shape="rect" id="node14" href="namespacearts__md__simulation.html#a07a348b3d2bce7784d60da5fc200367e" title="arts_md_simulation\l::arts_md_init_step2" alt="" coords="1527,618,1667,659"/>
<area shape="rect" id="node16" href="namespacearts__cf__func.html#a50bc2665fa6d78325254059159708464" title="arts_cf_func::arts\l_cf_field_init" alt="" coords="1323,683,1447,725"/>
<area shape="rect" id="node18" href="namespacearts__cf__md__func.html#a9ac6a3453df2bbba3ab5f88bcf9b0047" title="arts_cf_md_func::arts\l_cf_md_field_init_2" alt="" coords="1311,749,1460,790"/>
<area shape="rect" id="node17" href="namespacearts__cf__simulation.html#af2d1163d95721767351f7dbb56de3e99" title="Initialize hooks, cfd fields, monitors. " alt="" coords="1530,683,1663,725"/>
<area shape="rect" id="node20" href="namespacepremixedrif.html#a6c82c67707483f1caee60566c0070e9d" title="premixedrif::premixedrif_init" alt="" coords="860,699,1043,725"/>
<area shape="rect" id="node22" href="namespacepremixedrif.html#a1e2eb37ad2ef91e3a7869744dc88649f" title="premixedrif::premixedrif\l_get_density" alt="" coords="872,107,1031,149"/>
<area shape="rect" id="node27" href="namespacepremixedrif.html#aa721283ebc2d037853f4b9bbf7140884" title="premixedrif::premixedrif\l_diffusivity" alt="" coords="395,809,553,850"/>
<area shape="rect" id="node29" href="rif_8f90.html#a46d107d2cc50575a5ee364bcec10dde9" title="reinit_t_from_rif_field" alt="" coords="403,291,545,317"/>
<area shape="rect" id="node30" href="namespacerif__m.html#aec80440ab202862e6c144c489f78d37f" title="rif_m::rif_update_t\l_field_lowmach" alt="" coords="411,225,537,266"/>
<area shape="rect" id="node31" href="namespacepremixedrif.html#af9f05261f4101c758e133eb2f100ea91" title="premixedrif::premixedrif\l_get_temperature" alt="" coords="635,225,793,266"/>
<area shape="rect" id="node33" href="namespacepremixedrif.html#ac999e66772841c9a4742511931143fa8" title="premixedrif::premixedrif\l_t_from_h" alt="" coords="635,342,793,383"/>
<area shape="rect" id="node35" href="NASA__temp__energy__m_8f90.html#a92bc61b1326f61b2182759e4a912b9e5" title="nasa_t_from_ie" alt="" coords="419,443,529,469"/>
<area shape="rect" id="node36" href="NASA__temp__energy__m_8f90.html#a89783b65dc604faea6f2889fc82ede0b" title="nasa_t_from_h" alt="" coords="420,392,528,419"/>
<area shape="rect" id="node48" href="namespacethermo__species__func.html#a510cb885ba2534147343abb9534d19ea" title="thermo_species_func\l::premixed_chemtable_wmix" alt="" coords="380,494,568,535"/>
<area shape="rect" id="node49" href="namespacethermo__species__func.html#a0ba0b78fbca9a848094cde217b4d0fac" title="thermo_species_func\l::tspecies_radiation\l_mol_frac" alt="" coords="401,560,547,616"/>
<area shape="rect" id="node37" href="namespacecombust__eos.html#a76c4ee4bf3182a14edc010065a2be66c" title="compute temperature from enthalpy " alt="" coords="635,477,793,518"/>
<area shape="rect" id="node39" href="combustion__func_8f90.html#a764ea750f8a75492c5650a3f3c5605ed" title="combustion_t_from_h" alt="" coords="641,408,787,435"/>
<area shape="rect" id="node38" href="namespacecombust__eos.html#a7546dbb48ca76e9279db000fa1ba5230" title="compute temperature from internal energy " alt="" coords="872,502,1031,543"/>
<area shape="rect" id="node40" href="combustion_8f90.html#a4d09639b1292ef4cc0c83a3d4bdea76c" title="combustion_init" alt="" coords="1329,349,1442,376"/>
<area shape="rect" id="node42" href="combustion__func_8f90.html#a0860bb5a0f38393ca31a07331361b7ff" title="combustion_temperature" alt="" coords="1091,451,1256,477"/>
<area shape="rect" id="node47" href="combustion__func_8f90.html#ac9ff579e35f64a3ea44a491aefd89990" title="combustion_t_from_ie" alt="" coords="876,400,1027,427"/>
<area shape="rect" id="node41" href="combustion_8f90.html#a2f0eeadb9092a477faaa2cb7bca4b1b1" title="cf_combustion_init" alt="" coords="1531,349,1662,376"/>
<area shape="rect" id="node43" href="combustion_8f90.html#ac47f066df9ddc9214cf76b6dd23a803d" title="combustion_step" alt="" coords="1536,425,1657,452"/>
<area shape="rect" id="node44" href="combustion_8f90.html#a8c091f48d090774d343efe095bdb1a2f" title="combustion_poststep" alt="" coords="1312,501,1459,528"/>
<area shape="rect" id="node46" href="combustion__func_8f90.html#ac2c4e2576633b925b4cd6e252ff2c108" title="combustion_spray_evap" alt="" coords="1304,451,1467,477"/>
<area shape="rect" id="node45" href="combustion_8f90.html#a84be740960d9d739e5041649c9002920" title="cf_combustion_poststep" alt="" coords="1515,501,1679,528"/>
<area shape="rect" id="node50" href="namespacecombustion__func.html#a4e460281dd433460d4de414d8f75d67a" title="combustion_func::combustion\l_radiation_src_enth" alt="" coords="616,567,812,609"/>
</map>
</div>

</div>
</div>
<a id="a96fcacc18b916fae1f193b07587f2ab3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96fcacc18b916fae1f193b07587f2ab3">&#9670;&nbsp;</a></span>rif_update_wmol_all()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public rif_func::rif_update_wmol_all </td>
          <td>(</td>
          <td class="paramtype">real(wp), dimension(:), intent(inout)&#160;</td>
          <td class="paramname"><em>wmol</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacerif__defs.html#aeb74a848fcfdd7f871dda1c74cfc5e6f">rif_defs::first_rif</a>, and <a class="el" href="namespacemduc__interface.html#a8e6d8a7b2a5f6525e2e5e17caceb200b">mduc_interface::mduc_update_wmol_all()</a>.</p>
<div id="dynsection-10" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-10-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-10-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-10-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacerif__func_a96fcacc18b916fae1f193b07587f2ab3_cgraph.png" border="0" usemap="#namespacerif__func_a96fcacc18b916fae1f193b07587f2ab3_cgraph" alt=""/></div>
<map name="namespacerif__func_a96fcacc18b916fae1f193b07587f2ab3_cgraph" id="namespacerif__func_a96fcacc18b916fae1f193b07587f2ab3_cgraph">
<area shape="rect" id="node2" href="namespacemduc__interface.html#a8e6d8a7b2a5f6525e2e5e17caceb200b" title="mduc_interface::mduc\l_update_wmol_all" alt="" coords="184,5,335,47"/>
</map>
</div>
<div id="dynsection-11" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-11-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-11-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-11-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacerif__func_a96fcacc18b916fae1f193b07587f2ab3_icgraph.png" border="0" usemap="#namespacerif__func_a96fcacc18b916fae1f193b07587f2ab3_icgraph" alt=""/></div>
<map name="namespacerif__func_a96fcacc18b916fae1f193b07587f2ab3_icgraph" id="namespacerif__func_a96fcacc18b916fae1f193b07587f2ab3_icgraph">
<area shape="rect" id="node2" href="namespacethermo__species__func.html#a82da6d8c78ecba1867aa66680ef98d17" title="thermo_species_func\l::thermo_species_init" alt="" coords="184,5,331,47"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:52 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
